/*
 * Class WEL_GDIP_POINT
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_137 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_137 [] = {0xFF01,1551,136,0xFFFF};
static const EIF_TYPE_INDEX egt_2_137 [] = {0xFF01,136,0xFFFF};
static const EIF_TYPE_INDEX egt_3_137 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_137 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_137 [] = {0xFF01,136,0xFFFF};
static const EIF_TYPE_INDEX egt_6_137 [] = {0xFF01,136,0xFFFF};
static const EIF_TYPE_INDEX egt_7_137 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_137 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_137 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_137 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_137 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_137 [] = {0xFF01,136,0xFFFF};
static const EIF_TYPE_INDEX egt_13_137 [] = {0xFF01,669,0xFFFF};


static const struct desc_info desc_137[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_137), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_137), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_137), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_137), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_137), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_137), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_137), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_137), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_137), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_137), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_137), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_137), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0111 /*136*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_137), 30, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3726, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3727, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3728, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3729, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 3730, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 3731, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 3732, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 3733, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_137), 3734, 0},
	{EIF_NON_GENERIC(0x06CB /*869*/), 3735, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3736, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3737, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 3738, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 3739, 0xFFFFFFFF},
};
void Init137(void)
{
	IDSC(desc_137, 0, 136);
	IDSC(desc_137 + 1, 1, 136);
	IDSC(desc_137 + 32, 342, 136);
}


#ifdef __cplusplus
}
#endif
